.\"	$NetBSD: cd.1,v 1.5 2003/08/07 10:31:00 agc Exp $
.\"
.\" Copyright (c) 1980, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Institute of Electrical and Electronics Engineers, Inc.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)cd.1	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt CD 1
.Os
.Sh NAME
.Nm cd
.Nd change working directory
.Sh SYNOPSIS
.Nm cd
.Ar directory
.Sh DESCRIPTION
.Ar Directory
is an absolute or relative pathname which becomes the new working
directory.
The interpretation of a relative pathname by cd depends on the
.Ev CDPATH
environment variable (see below).
.Sh ENVIRONMENT
The following environment variables affect the execution of cd:
.Pp
.Bl -tag -width indent
.It Ev CDPATH
If the
.Ar directory
operand does not begin with a slash (/) character, and the first
component is not dot (.) or dot-dot (..),
.Nm cd
searches for the directory relative to each directory named in the
.Ev CDPATH
variable, in the order listed.
The new working directory is set to the first matching directory found.
An empty string in place of a directory pathname represents the current
directory.
If the new working directory was derived from
.Ev CDPATH ,
it will be printed to the standard output.
.It Ev HOME
If
.Nm cd
is invoked without arguments and the
.Ev HOME
environment variable exists and contains a directory name, that directory
becomes the new working directory.
.El
.Pp
See
.Xr csh 1
for more information on environment variables.
.Pp
The
.Nm cd
utility exits 0 on success, and \*[Gt]0 if an error occurs.
.Sh SEE ALSO
.Xr csh 1 ,
.Xr pwd 1 ,
.Xr sh 1 ,
.Xr chdir 2
.Sh STANDARDS
The
.Nm cd
command is expected to be
.St -p1003.2
compatible.
